Bug 1526029 (CVE-2018-18954)

Summary: CVE-2018-18954 QEMU: ppc64: Out-of-bounds r/w stack access in pnv_lpc_do_eccb
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit, apevec, areis, berrange, cfergeau, chrisw, drjones, dwmw2, imammedo, itamar, jen, jforbes, jjoyce, jpadman, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mburns, mkenneth, mrezanin, mst, pbonzini, ppandit, rbalakri, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, security-response-team, slinaber, srevivo, tdecacqu, tonyb, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:34:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1647164, 1647166    
Bug Blocks: 1526038    

Description Pedro Sampaio 2017-12-14 16:23:59 UTC
An OOB r/w buffer access issue was found in the PowerPC PowerNV LPC controller
in 'pnv_lpc_do_eccb' routine. It could occur while performing a memory write operation. A guest user/process could use this flaw to crash the QEMU process resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-11/msg00446.html

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2018/11/06/6

Comment 3 Joshua Padman 2018-07-12 05:22:51 UTC
PowerNV is not included or supported in the QEMU provided with OpenStack.

Comment 4 Joshua Padman 2018-11-05 09:26:32 UTC
Acknowledgments:

Name: moguofang

Comment 5 Prasad J Pandit 2018-11-06 19:06:00 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1647164]